﻿using System.IO;

namespace TBL.CSharp.Serialization.Marshal;

/// <summary>
/// Marshal 支持接口
/// </summary>
public interface IMarshalSupport<in T>
{
    /// <summary>
    /// 将 <paramref name="self"/> 序列化入 <paramref name="stream"/> 当中
    /// </summary>
    void Write(T self, Stream stream);
}