﻿using System.IO;

namespace TBL.CSharp.Serialization.Marshal;

/// <summary>
/// Marshal 以工厂方式反序列化的支持接口
/// </summary>
public interface IMarshalSupportConstructor<T> : IMarshalSupport<T>
{
    /// <summary>
    /// 从 <paramref name="stream"/> 读取数据并产出一个目标对象
    /// </summary>
    T Load(Stream stream);
}