﻿using System.IO;

namespace TBL.CSharp.Serialization.Marshal;

/// <summary>
/// Marshal 以就地方式反序列化的支持接口
/// </summary>
public interface IMarshalSupportPlacement<in T> : IMarshalSupport<T>
{
    /// <summary>
    /// 恢复 <paramref name="target"/> 到 <paramref name="stream"/> 中记录的状态
    /// </summary>
    void Restore(Stream stream, T target);
}